Subject: Re: [core] New units for SenML

From: John Mattsson <[email-masked]>
Date: Wed, 6 Mar 2019 17:47:12 +0000

Hi,

I do not think that Cel and K are the only exceptions in the current SenML IANA registry. Formally, I think the following are also the same units (but with different uses cases):

1 Gy = 1 Sv
1 Bq = 1 Hz = 1/s

Similar, the new units would formally be: 

1 B = 8 bit
1 VA = 1 var = 1 W 
1 J/m = 1 N

So I think the new draft just continues the practices established for the earlier registrations, the important thing for SenML is to be used by other SDO and industries rather that following some strict mathematical principle for registration. I definitely think CORE should go ahead and register these if they are requested. 

The draft seems very well-written, my only comment is that the draft could maybe mention that 1 B = 8 bit. 

(The text in bullet 8 of Section 12.1 of RFC 8428 says that pH should not be used... is that a typo? pH is in Table 6 of the same RFC)

Cheers,
John

-----Original Message-----
From: core <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Date: Friday, 1 March 2019 at 08:34
To: core <[email-masked]>
Subject: [core] New units for SenML

SenML (RFC 8428) has been a bit of a success story for this WG, at least (but not only) with respect to pickup by other SDO.  While we are filling gaps in the specification itself (fetch/(i)patch, data-ct), another item receives attention: SenML’s unit registry, which can be useful for other SDOs even beyond the direct use of the SenML data format.

In this context, a few units popped up that are somewhat in style with the Celsius exception that RFC 8428 provides.  Instead of just having them registered silently, maybe it is good to have some attention for them here in the WG.  To that end, based on input from OMA (but all mistakes are mine), I have written a draft:

Name:		draft-bormann-senml-more-units
Revision:	00
Title:		Additional Units for SenML
Document date:	2019-02-27
Group:		Individual Submission
Pages:		4
Status:         https://datatracker.ietf.org/doc/draft-bormann-senml-more-units/
Htmlized:       https://tools.ietf.org/html/draft-bormann-senml-more-units-00

Abstract:
  The Sensor Measurement Lists (SenML) media type supports the
  indication of units for a quantity represented.  This short document
  registers a number of additional unit names in the IANA registry for
  Units in SenML.

Discussing physical quantities and their units may be not be the CoRE WG’s center of gravity, but if you care about the integrity of SenML, please have a look into this short draft.  The IANA policies allow us to go ahead with registration before this is an RFC (even before any working group adoption!), which would fit well with OMA timelines, so some feedback from the WG now would help getting that right.

Sorry for forgetting the WG name in the draft name and going directly to the name senml — news of a new SenML WG are greatly exaggerated :-)

Grüße, Carsten

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core